Skip to main content
GET
/
api
/
transactions
/
{reference_id_or_heron_id}
cURL
curl --request GET \
  --url https://app.herondata.io/api/transactions/{reference_id_or_heron_id} \
  --header 'x-api-key: <api-key>'
{
  "transaction_enriched": {
    "amount": -42.42,
    "description": "GOOGLE *ADS12340929 [email protected] US",
    "account_id": "checking_account_202348",
    "account_number": "1234567890",
    "annotation": {
      "annotator": {},
      "category": {
        "label": "Rent",
        "heron_id": "ctg_P2kiMt8PUsEoG7jxy68yid"
      },
      "confidence": 123,
      "model_version": "<string>"
    },
    "balance": 423,
    "counterparty": "GOOGLE",
    "currency": "USD",
    "data_source_account_heron_id": "dsa_9Uj5oKMaZFXuhyqUXfdsQM",
    "data_source_heron_id": "dso_7A8w3KqakVi6zfctcYhjko",
    "end_user_id": "my_best_customer_203948",
    "features": {
      "description_clean": "GOOGLE ADS",
      "duplicate_of_id": "txn_RX8P77W8JJMHBq9e78kdRR",
      "has_matching_transaction": true,
      "is_potential_duplicate": true,
      "is_recurring": true
    },
    "heron_id": "txn_mL6AjmLDmCpERZ4RRFfcem",
    "last_updated": "2026-05-22T23:08:26.188426+00:00",
    "merchant": {
      "name": "<string>",
      "url": "<string>",
      "categories": [
        {
          "code": "7311",
          "description": "Advertising services",
          "slug": "advertising_services"
        }
      ],
      "heron_id": "mrc_28TZLSvc9ZKi3W3pFmG3Hz",
      "icon_url": "<string>",
      "is_priority": true,
      "logo_url": "<string>"
    },
    "reference_id": "my_favourite_transaction_231098",
    "request_id": "req_Ji5kzqqoUpbzPEB8srjNdy",
    "timestamp": "2021-11-12T10:38:05Z",
    "transaction_code": "card"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.herondata.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

reference_id_or_heron_id
string
required

Response

OK

transaction_enriched
object